hpp-corbaserver: _impl_Robot Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
_impl_Robot Class Referenceabstract

`#include <hpp/corbaserver/robot-idl.hh>`

Inheritance diagram for _impl_Robot:
[legend]
Collaboration diagram for _impl_Robot:
[legend]

## Public Member Functions
virtual | ~_impl_Robot ()
virtual void | loadRobotModel (const char *robotName, const char *rootJointType, const char *urdfName, const char *srdfName)=0
virtual void | loadHumanoidModel (const char *robotName, const char *rootJointType, const char *urdfName, const char *srdfName)=0
virtual void | loadRobotModelFromString (const char *robotName, const char *rootJointType, const char *urdfString, const char *srdfString)=0
virtual void | loadHumanoidModelFromString (const char *robotName, const char *rootJointType, const char *urdfString, const char *srdfString)=0
virtual ::CORBA::Long | getConfigSize ()=0
virtual ::CORBA::Long | getNumberDof ()=0
virtual Names_t * | getJointNames ()=0
virtual Names_t * | getJointTypes ()=0
virtual Names_t * | getAllJointNames ()=0
virtual char * | getParentJointName (const char *jointName)=0
virtual floatSeq * | getJointConfig (const char *jointName)=0
virtual void | setJointConfig (const char *jointName, const ::hpp::floatSeq &config)=0
virtual char * | getJointType (const char *jointName)=0
virtual floatSeq * | jointIntegrate (const ::hpp::floatSeq &jointCfg, const char *jointName, const ::hpp::floatSeq &speed, ::CORBA::Boolean saturate)=0
virtual floatSeqSeq * | getCurrentTransformation (const char *jointName)=0
virtual Transform__slice * | getJointPosition (const char *jointName)=0
virtual TransformSeq * | getJointsPosition (const ::hpp::floatSeq &q, const ::hpp::Names_t &jointNames)=0
virtual floatSeq * | getJointVelocity (const char *jointName)=0
virtual floatSeq * | getJointVelocityInLocalFrame (const char *jointName)=0
virtual Transform__slice * | getJointPositionInParentFrame (const char *jointName)=0
virtual Transform__slice * | getRootJointPosition ()=0
virtual void | setRootJointPosition (const ::hpp::Transform_ position)=0
virtual void | setJointPositionInParentFrame (const char *jointName, const ::hpp::Transform_ position)=0
virtual ::CORBA::Long | getJointNumberDof (const char *jointName)=0
virtual ::CORBA::Long | getJointConfigSize (const char *jointName)=0
virtual void | setJointBounds (const char *jointName, const ::hpp::floatSeq &inJointBound)=0
virtual floatSeq * | getJointBounds (const char *jointName)=0
virtual Transform__slice * | getLinkPosition (const char *linkName)=0
virtual TransformSeq * | getLinksPosition (const ::hpp::floatSeq &q, const ::hpp::Names_t &linkName)=0
virtual Names_t * | getLinkNames (const char *jointName)=0
virtual void | setDimensionExtraConfigSpace (::CORBA::ULong dimension)=0
virtual ::CORBA::ULong | getDimensionExtraConfigSpace ()=0
virtual void | setExtraConfigSpaceBounds (const ::hpp::floatSeq &bounds)=0
virtual floatSeq * | getCurrentConfig ()=0
virtual floatSeq * | shootRandomConfig ()=0
virtual void | setCurrentConfig (const ::hpp::floatSeq &dofArray)=0
virtual floatSeq * | getCurrentVelocity ()=0
virtual void | setCurrentVelocity (const ::hpp::floatSeq &qDot)=0
virtual Names_t * | getJointInnerObjects (const char *jointName)=0
virtual Names_t * | getJointOuterObjects (const char *jointName)=0
virtual void | getObjectPosition (const char *objectName, ::hpp::Transform_ cfg)=0
virtual void | isConfigValid (const ::hpp::floatSeq &dofArray, ::CORBA::Boolean &validity, ::CORBA::String_out report)=0
virtual void | distancesToCollision (::hpp::floatSeq_out distances, ::hpp::Names_t_out innerObjects, ::hpp::Names_t_out outerObjects, ::hpp::floatSeqSeq_out innerPoints, ::hpp::floatSeqSeq_out outerPoints)=0
virtual void | autocollisionCheck (::hpp::boolSeq_out collide)=0
virtual void | autocollisionPairs (::hpp::Names_t_out innerObjects, ::hpp::Names_t_out outerObjects, ::hpp::boolSeq_out active)=0
virtual void | setAutoCollision (const char *innerObject, const char *outerObject, ::CORBA::Boolean active)=0
virtual floatSeq * | getRobotAABB ()=0
virtual ::CORBA::Double | getMass ()=0
virtual floatSeq * | getCenterOfMass ()=0
virtual floatSeq * | getCenterOfMassVelocity ()=0
virtual floatSeqSeq * | getJacobianCenterOfMass ()=0
virtual void | addPartialCom (const char *comName, const ::hpp::Names_t &jointNames)=0
virtual floatSeq * | getPartialCom (const char *comName)=0
virtual floatSeqSeq * | getJacobianPartialCom (const char *comName)=0
virtual floatSeq * | getVelocityPartialCom (const char *comName)=0
virtual char * | getRobotName ()=0
virtual pinocchio_idl::CenterOfMassComputation_ptr | getCenterOfMassComputation (const char *name)=0
virtual void | createRobot (const char *robotName)=0
virtual void | appendJoint (const char *parentJoint, const char *jointName, const char *jointType, const ::hpp::Transform_ pos)=0
virtual void | createPolyhedron (const char *inPolyName)=0
virtual void | createBox (const char *name, ::CORBA::Double x, ::CORBA::Double y, ::CORBA::Double z)=0
virtual void | createSphere (const char *name, ::CORBA::Double radius)=0
virtual void | createCylinder (const char *name, ::CORBA::Double radius, ::CORBA::Double length)=0
virtual ::CORBA::ULong | addPoint (const char *inPolyName, ::CORBA::Double x, ::CORBA::Double y, ::CORBA::Double z)=0
virtual ::CORBA::ULong | addTriangle (const char *inPolyName, ::CORBA::ULong pt1, ::CORBA::ULong pt2, ::CORBA::ULong pt3)=0
virtual void | addObjectToJoint (const char *jointName, const char *objectName, const ::hpp::Transform_ pos)=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)

## Constructor & Destructor Documentation

## ◆ ~_impl_Robot()

virtual _impl_Robot::~_impl_Robot | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_Robot::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

## ◆ addObjectToJoint()

virtual void _impl_Robot::addObjectToJoint | ( | const char * | jointName,
|  | const char * | objectName,
|  | const ::hpp::Transform_ | pos
| ) |  |
| pure virtual

## ◆ addPartialCom()

virtual void _impl_Robot::addPartialCom | ( | const char * | comName,
|  | const ::hpp::Names_t & | jointNames
| ) |  |
| pure virtual

## ◆ addPoint()

virtual ::CORBA::ULong _impl_Robot::addPoint | ( | const char * | inPolyName,
|  | ::CORBA::Double | x,
|  | ::CORBA::Double | y,
|  | ::CORBA::Double | z
| ) |  |
| pure virtual

## ◆ addTriangle()

virtual ::CORBA::ULong _impl_Robot::addTriangle | ( | const char * | inPolyName,
|  | ::CORBA::ULong | pt1,
|  | ::CORBA::ULong | pt2,
|  | ::CORBA::ULong | pt3
| ) |  |
| pure virtual

## ◆ appendJoint()

virtual void _impl_Robot::appendJoint | ( | const char * | parentJoint,
|  | const char * | jointName,
|  | const char * | jointType,
|  | const ::hpp::Transform_ | pos
| ) |  |
| pure virtual

## ◆ autocollisionCheck()

virtual void _impl_Robot::autocollisionCheck | ( | ::hpp::boolSeq_out | collide | ) |
| pure virtual

## ◆ autocollisionPairs()

virtual void _impl_Robot::autocollisionPairs | ( | ::hpp::Names_t_out | innerObjects,
|  | ::hpp::Names_t_out | outerObjects,
|  | ::hpp::boolSeq_out | active
| ) |  |
| pure virtual

## ◆ createBox()

virtual void _impl_Robot::createBox | ( | const char * | name,
|  | ::CORBA::Double | x,
|  | ::CORBA::Double | y,
|  | ::CORBA::Double | z
| ) |  |
| pure virtual

## ◆ createCylinder()

virtual void _impl_Robot::createCylinder | ( | const char * | name,
|  | ::CORBA::Double | radius,
|  | ::CORBA::Double | length
| ) |  |
| pure virtual

## ◆ createPolyhedron()

virtual void _impl_Robot::createPolyhedron | ( | const char * | inPolyName | ) |
| pure virtual

## ◆ createRobot()

virtual void _impl_Robot::createRobot | ( | const char * | robotName | ) |
| pure virtual

## ◆ createSphere()

virtual void _impl_Robot::createSphere | ( | const char * | name,
|  | ::CORBA::Double | radius
| ) |  |
| pure virtual

## ◆ distancesToCollision()

virtual void _impl_Robot::distancesToCollision | ( | ::hpp::floatSeq_out | distances,
|  | ::hpp::Names_t_out | innerObjects,
|  | ::hpp::Names_t_out | outerObjects,
|  | ::hpp::floatSeqSeq_out | innerPoints,
|  | ::hpp::floatSeqSeq_out | outerPoints
| ) |  |
| pure virtual

## ◆ getAllJointNames()

virtual Names_t * _impl_Robot::getAllJointNames | ( |  | ) |
| pure virtual

## ◆ getCenterOfMass()

virtual floatSeq * _impl_Robot::getCenterOfMass | ( |  | ) |
| pure virtual

## ◆ getCenterOfMassComputation()

virtual pinocchio_idl::CenterOfMassComputation_ptr _impl_Robot::getCenterOfMassComputation | ( | const char * | name | ) |
| pure virtual

## ◆ getCenterOfMassVelocity()

virtual floatSeq * _impl_Robot::getCenterOfMassVelocity | ( |  | ) |
| pure virtual

## ◆ getConfigSize()

virtual ::CORBA::Long _impl_Robot::getConfigSize | ( |  | ) |
| pure virtual

## ◆ getCurrentConfig()

virtual floatSeq * _impl_Robot::getCurrentConfig | ( |  | ) |
| pure virtual

## ◆ getCurrentTransformation()

virtual floatSeqSeq * _impl_Robot::getCurrentTransformation | ( | const char * | jointName | ) |
| pure virtual

## ◆ getCurrentVelocity()

virtual floatSeq * _impl_Robot::getCurrentVelocity | ( |  | ) |
| pure virtual

## ◆ getDimensionExtraConfigSpace()

virtual ::CORBA::ULong _impl_Robot::getDimensionExtraConfigSpace | ( |  | ) |
| pure virtual

## ◆ getJacobianCenterOfMass()

virtual floatSeqSeq * _impl_Robot::getJacobianCenterOfMass | ( |  | ) |
| pure virtual

## ◆ getJacobianPartialCom()

virtual floatSeqSeq * _impl_Robot::getJacobianPartialCom | ( | const char * | comName | ) |
| pure virtual

## ◆ getJointBounds()

virtual floatSeq * _impl_Robot::getJointBounds | ( | const char * | jointName | ) |
| pure virtual

## ◆ getJointConfig()

virtual floatSeq * _impl_Robot::getJointConfig | ( | const char * | jointName | ) |
| pure virtual

## ◆ getJointConfigSize()

virtual ::CORBA::Long _impl_Robot::getJointConfigSize | ( | const char * | jointName | ) |
| pure virtual

## ◆ getJointInnerObjects()

virtual Names_t * _impl_Robot::getJointInnerObjects | ( | const char * | jointName | ) |
| pure virtual

## ◆ getJointNames()

virtual Names_t * _impl_Robot::getJointNames | ( |  | ) |
| pure virtual

## ◆ getJointNumberDof()

virtual ::CORBA::Long _impl_Robot::getJointNumberDof | ( | const char * | jointName | ) |
| pure virtual

## ◆ getJointOuterObjects()

virtual Names_t * _impl_Robot::getJointOuterObjects | ( | const char * | jointName | ) |
| pure virtual

## ◆ getJointPosition()

virtual Transform__slice * _impl_Robot::getJointPosition | ( | const char * | jointName | ) |
| pure virtual

## ◆ getJointPositionInParentFrame()

virtual Transform__slice * _impl_Robot::getJointPositionInParentFrame | ( | const char * | jointName | ) |
| pure virtual

## ◆ getJointsPosition()

virtual TransformSeq * _impl_Robot::getJointsPosition | ( | const ::hpp::floatSeq & | q,
|  | const ::hpp::Names_t & | jointNames
| ) |  |
| pure virtual

## ◆ getJointType()

virtual char * _impl_Robot::getJointType | ( | const char * | jointName | ) |
| pure virtual

## ◆ getJointTypes()

virtual Names_t * _impl_Robot::getJointTypes | ( |  | ) |
| pure virtual

## ◆ getJointVelocity()

virtual floatSeq * _impl_Robot::getJointVelocity | ( | const char * | jointName | ) |
| pure virtual

## ◆ getJointVelocityInLocalFrame()

virtual floatSeq * _impl_Robot::getJointVelocityInLocalFrame | ( | const char * | jointName | ) |
| pure virtual

## ◆ getLinkNames()

virtual Names_t * _impl_Robot::getLinkNames | ( | const char * | jointName | ) |
| pure virtual

## ◆ getLinkPosition()

virtual Transform__slice * _impl_Robot::getLinkPosition | ( | const char * | linkName | ) |
| pure virtual

## ◆ getLinksPosition()

virtual TransformSeq * _impl_Robot::getLinksPosition | ( | const ::hpp::floatSeq & | q,
|  | const ::hpp::Names_t & | linkName
| ) |  |
| pure virtual

## ◆ getMass()

virtual ::CORBA::Double _impl_Robot::getMass | ( |  | ) |
| pure virtual

## ◆ getNumberDof()

virtual ::CORBA::Long _impl_Robot::getNumberDof | ( |  | ) |
| pure virtual

## ◆ getObjectPosition()

virtual void _impl_Robot::getObjectPosition | ( | const char * | objectName,
|  | ::hpp::Transform_ | cfg
| ) |  |
| pure virtual

## ◆ getParentJointName()

virtual char * _impl_Robot::getParentJointName | ( | const char * | jointName | ) |
| pure virtual

## ◆ getPartialCom()

virtual floatSeq * _impl_Robot::getPartialCom | ( | const char * | comName | ) |
| pure virtual

## ◆ getRobotAABB()

virtual floatSeq * _impl_Robot::getRobotAABB | ( |  | ) |
| pure virtual

## ◆ getRobotName()

virtual char * _impl_Robot::getRobotName | ( |  | ) |
| pure virtual

## ◆ getRootJointPosition()

virtual Transform__slice * _impl_Robot::getRootJointPosition | ( |  | ) |
| pure virtual

## ◆ getVelocityPartialCom()

virtual floatSeq * _impl_Robot::getVelocityPartialCom | ( | const char * | comName | ) |
| pure virtual

## ◆ isConfigValid()

virtual void _impl_Robot::isConfigValid | ( | const ::hpp::floatSeq & | dofArray,
|  | ::CORBA::Boolean & | validity,
|  | ::CORBA::String_out | report
| ) |  |
| pure virtual

## ◆ jointIntegrate()

virtual floatSeq * _impl_Robot::jointIntegrate | ( | const ::hpp::floatSeq & | jointCfg,
|  | const char * | jointName,
|  | const ::hpp::floatSeq & | speed,
|  | ::CORBA::Boolean | saturate
| ) |  |
| pure virtual

## ◆ loadHumanoidModel()

virtual void _impl_Robot::loadHumanoidModel | ( | const char * | robotName,
|  | const char * | rootJointType,
|  | const char * | urdfName,
|  | const char * | srdfName
| ) |  |
| pure virtual

## ◆ loadHumanoidModelFromString()

virtual void _impl_Robot::loadHumanoidModelFromString | ( | const char * | robotName,
|  | const char * | rootJointType,
|  | const char * | urdfString,
|  | const char * | srdfString
| ) |  |
| pure virtual

## ◆ loadRobotModel()

virtual void _impl_Robot::loadRobotModel | ( | const char * | robotName,
|  | const char * | rootJointType,
|  | const char * | urdfName,
|  | const char * | srdfName
| ) |  |
| pure virtual

## ◆ loadRobotModelFromString()

virtual void _impl_Robot::loadRobotModelFromString | ( | const char * | robotName,
|  | const char * | rootJointType,
|  | const char * | urdfString,
|  | const char * | srdfString
| ) |  |
| pure virtual

## ◆ setAutoCollision()

virtual void _impl_Robot::setAutoCollision | ( | const char * | innerObject,
|  | const char * | outerObject,
|  | ::CORBA::Boolean | active
| ) |  |
| pure virtual

## ◆ setCurrentConfig()

virtual void _impl_Robot::setCurrentConfig | ( | const ::hpp::floatSeq & | dofArray | ) |
| pure virtual

## ◆ setCurrentVelocity()

virtual void _impl_Robot::setCurrentVelocity | ( | const ::hpp::floatSeq & | qDot | ) |
| pure virtual

## ◆ setDimensionExtraConfigSpace()

virtual void _impl_Robot::setDimensionExtraConfigSpace | ( | ::CORBA::ULong | dimension | ) |
| pure virtual

## ◆ setExtraConfigSpaceBounds()

virtual void _impl_Robot::setExtraConfigSpaceBounds | ( | const ::hpp::floatSeq & | bounds | ) |
| pure virtual

## ◆ setJointBounds()

virtual void _impl_Robot::setJointBounds | ( | const char * | jointName,
|  | const ::hpp::floatSeq & | inJointBound
| ) |  |
| pure virtual

## ◆ setJointConfig()

virtual void _impl_Robot::setJointConfig | ( | const char * | jointName,
|  | const ::hpp::floatSeq & | config
| ) |  |
| pure virtual

## ◆ setJointPositionInParentFrame()

virtual void _impl_Robot::setJointPositionInParentFrame | ( | const char * | jointName,
|  | const ::hpp::Transform_ | position
| ) |  |
| pure virtual

## ◆ setRootJointPosition()

virtual void _impl_Robot::setRootJointPosition | ( | const ::hpp::Transform_ | position | ) |
| pure virtual

## ◆ shootRandomConfig()

virtual floatSeq * _impl_Robot::shootRandomConfig | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/corbaserver/robot-idl.hh